#pragma once

namespace game{

class resourceProvider
{
public:
    resourceProvider() = default;
    virtual ~resourceProvider() = default;

    virtual float require(uint item, float amount) noexcept = 0;
};

}
